%define _disable_ld_no_undefined 1
%define shortname indi

Summary: Library to control astronomical devices
Name: indilib
Version: 0.9.6
Release: %mkrel 3
Source0: http://downloads.sourceforge.net/indi/libindi_%version.tar.gz
Patch0: libindi_0.9.6-udev-rules-dir.patch
License: LGPLv2+
Group: Development/C
Url: http://indi.sourceforge.net/
BuildRequires: zlib-devel libusb-devel
BuildRequires: cfitsio-devel >= 3.090
BuildRequires: libfli-devel
BuildRequires: cmake
BuildRequires: boost-devel
Provides: indi = %version-%release

%description
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

%files
%doc ChangeLog NEWS README TODO
%_bindir/*
%_datadir/%shortname
%{_udevrulesdir}/99-gpusb.rules

#--------------------------------------------------------------------

%define major 0
%define libname %mklibname %shortname %major

%package -n %libname
Summary: Librar file for INDI
Group: Development/C

%description -n %libname
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

This package contains library files of indilib.

%files -n %libname
%{_libdir}/*.so.%{major}*

#--------------------------------------------------------------------

%define develname %mklibname -d %shortname
%package -n %develname
Summary: INDI devellopment files
Group: Development/C
Requires: %libname = %version
Provides: indi-devel = %version-%release
Provides: %name-devel = %version-%release

%description -n %develname
INDI is an instrument neutral distributed interface control protocol
that aims to provide backend driver support and automation for a wide
range of Astronomical devices (telescopes, focusers, CCDs..etc).

This package contains files need to build applications using indilib.

%files -n %develname
%doc ChangeLog README* NEWS
%_libdir/*.so
%_libdir/*.a
%_libdir/pkgconfig/libindi.pc
%_includedir/libindi/*.h

#--------------------------------------------------------------------

%prep
%setup -q -n libindi-%version
%patch0 -p0

%build
%cmake
%make

%install
%makeinstall_std -C build



%changelog

* Wed Jan 16 2013 fwang <fwang> 0.9.6-3.mga3
+ Revision: 388523
- correct udev rules dir

* Sat Jan 12 2013 umeabot <umeabot> 0.9.6-2.mga3
+ Revision: 354397
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 22 2012 mikala <mikala> 0.9.6-1.mga3
+ Revision: 320435
- Update tarball to 0.9.6
- Build with no_undefined
- Minor clean spec

* Sun Sep 02 2012 fedya <fedya> 0.9.5-1.mga3
+ Revision: 287429
- version update 0.9.5

* Fri Jun 08 2012 fwang <fwang> 0.9.1-1.mga3
+ Revision: 257506
- new version 0.9.1
- drop merged pathes

* Sat Jan 14 2012 fwang <fwang> 0.9-1.mga2
+ Revision: 195892
- new version 0.9

* Mon Jun 27 2011 dmorgan <dmorgan> 0.8-1.mga2
+ Revision: 114962
- add boost-devel as buildrequires
- New version 0.8
  Rediff P1
  Fix package layout

* Sat Jan 22 2011 ahmad <ahmad> 0.6.2-1.mga1
+ Revision: 33224
- imported package indilib

